# seaborn.set_style

```py
seaborn.set_style(style=None, rc=None)
```

Set the aesthetic style of the plots.

This affects things like the color of the axes, whether a grid is enabled by default, and other aesthetic elements.

参数：`style`：dict, None, or one of {darkgrid, whitegrid, dark, white, ticks}

> A dictionary of parameters or the name of a preconfigured set.

`rc`：dict, optional

> Parameter mappings to override the values in the preset seaborn style dictionaries. This only updates parameters that are considered part of the style definition.



See also

return a dict of parameters or use in a `with` statement to temporarily set the style.set parameters to scale plot elementsset the default color palette for figures

Examples

```py
>>> set_style("whitegrid")

```

```py
>>> set_style("ticks", {"xtick.major.size": 8, "ytick.major.size": 8})

```